VST 3 SDK VST 3.7 SDK for developing VST plug-in

Namespaces | Enumerations | Functions
vst2persistence.cpp File Reference
`#include "public.sdk/source/vst/utility/vst2persistence.h"`
`#include "pluginterfaces/base/fplatform.h"`
`#include <limits>`

## Namespaces
namespace | VST3
namespace | VST3::IO

## Enumerations
enum class | Error
enum class | SeekMode

## Functions
Optional< Vst2xState > | tryVst2StateLoad (Steinberg::IBStream &stream, Optional< int32_t > vst2xUniqueID={}) noexcept
| Try loading the state from an old vst2 fxb format stream. More...
bool | writeVst2State (const Vst2xState &state, Steinberg::IBStream &stream, bool writeBypassState=true) noexcept
| Write a vst2 fxb stream. More...
Optional< Vst2xProgram > | tryVst2ProgramLoad (Steinberg::IBStream &stream, Optional< int32_t > vst2xUniqueID) noexcept
| Try loading the state from on old vst2 fxp format stream. More...

## Enumeration Type Documentation

## ◆ Error

enum class Error
| strong

## ◆ SeekMode

enum class SeekMode
| strong

## Variable Documentation

## ◆ error

Error error {Error::Unknown}

## ◆ bytes

const uint64_t bytes {0u}

## ◆ ptr

const void* ptr

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.